Subject: Re: [Capwap] Statistics for WTP Event Request - Issue 84

From: "Dorothy Stanley" <[email-masked]>
Date: Mon, 12 Jun 2006 08:26:18 -0700

All,

I'd like to make progress on issue 84 in the -02 draft, and had sent
the proposal below a while ago. Comments please.

Thanks,

Dorothy

On 5/24/06, Dorothy Stanley <[email-masked]> wrote:
>
> Saravanan, all,
>
> Agreed.
>
> This mail discusses the Issue 84 proposed statistics, and proposes
> additional statistics.
>
> -------------------Issue 84----------------------------
>
> <snip> introduce a "Statistics" message element with the
> following fields.
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |          WTP Load             |     WTP Transmit Queue        |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>      |    Channel Interference       |          Congestion           |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>   Type: TBD
>
> WTP Load: A 16-bit value specifying the load (frames/sec) exchanged by the WTP.
>
>
> WTP Transmit Queue: A 16-bit value specifying the prevailing queue level as a
>      portion of total queue size.
>
> Channel Interference: A 16-bit value specifying SINR (dB) monitored by the WTP.
>
> Congestion: A 16-bit value specifying the congestion experienced by the WTP.
>
> ----------------------------End of Issue 84------------------------------
>
> WTP Load - load in frames per second exchanged by the WTP -  Assuming that
> the exchange is over the air; Add  "Wireless Link Frames/Sec" statistics
> field
> in a new WTP Operational Statistics message element
>
> WTP Transmit Queue - as a percentage of queue size - Which Queue is this?
> going to the AC or the STA?
> If to the STA, then the statistic may vary with the L2 wireless type, e.g.,
> is it a
> single queue for non-WMM traffic? multiple statistics for each of the WMM
> queues, or an
> aggregate of all wireless transmit queues?
>
> Channel Interference - SINR - this is radio dependent, include a noise
> floor in the
> proposed WTP Radio Statistics message element
>
> Congestion - Congestion experienced by the WTP - Need more info here, is
> this congestion on the
> WTP-AC link? How is it measured?
>
> Propose new WTP specific statistics:
>
> - Add more fields/detail to the  WTP Reboot Statistics message element,
> see 4.4.43
> - Add a new WTP Operational Statistics message element
> - Add a new WTP Radio Statistics message element, as shown below
>
>
> - Add the WTP Radio Statistics  and WTP Reboot Statistics and WTP
> Operational
> Statistics message elements to the list of valid message elements in the
> WTP Event Message description, section 9.5.
>
>
> WTP Reboot Statistics
>
>    The WTP  Reboot Statistics message element is sent by the WTP to the
>    AC to communicate  reasons why reboots have occurred.
>
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
>      |          Reboot Count           |    AC Initiated Count
>      |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
>      |      Link Failure Count        |    SW Failure Count
>    |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+++++++++
>      |      HW Failure Count         |    Other Failure Count
>   |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+++++++++
>      |   Unknown Failure Count    |   Last Fail Type |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>    Type:  43 for WTP  Reboot Statistics
>
>    Length:  15
>
>    Reboot Count:  The number of reboots that have occurred due to a WTP
>       crash.  A value of 65535 implies that this information is not
>       available on the WTP.
>
>    AC Initiated Count:  The number of reboots that have occurred at
>       the request of a CAPWAP protocol message, such as a change in
>       configuration that required a reboot or an explicit CAPWAP reset
>       request.  A value of 65535 implies that this information is not
>       available on the WTP.
>
>    Link Failure Count:  The number of times that a CAPWAP protocol
>       connection with an AC has failed due to link failure.
>
>    SW Failure Count:  The number of times that a CAPWAP protocol < ==New
>       connection with an AC has failed due to software related reasons.
>
>    HW Failure Count:  The number of times that a CAPWAP protocol <==New
>       connection with an AC has failed due to hardware related reasons.
>
>    Other Failure Count:  The number of times that a CAPWAP protocol <==New
>       connection with an AC has failed due to known reasons, other than AC
> initiated,
>      link, SW or HW failure.
>
>    Unknown Failure Count:  The number of times that a CAPWAP protocol
> <==New
>       connection with an AC has failed for unknown reasons.
>
>    Last Failure Type:  The failure type of the most recent WTP failure.
> The following values are <== expanded
>       supported:
>
>       0 - Not supported
>
>       1 - AC Initiated (see Section 9.3)
>
>       2 - Link Failure
>
>       3 - Software failure
>
>       4 - Hardware Failure
>
>       5 - Other Failure
>
>       255 - Unknown
>
>
> ------------------------------------------------------------------------------------------------------
> WTP Operational Statistics                          <==New
>
>    The WTP  Operational Statistics message element is sent by the WTP to
> the
>    AC to provide statistics realted to the operation of the WTP.
>
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
>      | Wireless Link Frames/Sec |          (Expect more fields to be
> added...
>    +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-++++++++++++
>
>    Type:  TBD for WTP  Operational  Statistics
>
>    Length:  xx
>
>    Wireless Link Frames/Sec:  The number of frames transmitted or received
> per
>       second by the WTP over the sir interface.
>
>
> --------------------------------------------------------------------------------------------------------------------
>
> Proposed New message element:                                       <==New
>
> WTP Radio Statistics
>
>    The WTP  Radio Statistics message element is sent by the WTP to the
>    AC to communicate statistics on radio behavior and reasons why the WTP
> radio has been reset.
>
>       0                   1                   2                   3
>       0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
>      |   Radio ID      |Last Fail Type  |       Reset Count
>    |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
>      |     SW Failure Count             |        HW Failure Count
> |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+++++++++
>      |      Other  Failure Count         |   Unknown Failure Count       |
>      +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+++++++++
>      |   Config Update Count            |    Channel Change Count      |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>      |   Band Change Count            |    Current Noise Floor
> |
>     +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>    Type:  TBD for WTP  Radio Statistics
>
>    Length:  20
>
>    Radio ID:  The radio ID of the radio to which the statistics apply.
>
>    Last Failure Type:  The failure type of the most recent radio failure.
> The following values are
>       supported:
>
>       0 - Not supported
>
>       1 - Software failure
>
>       2 - Hardware Failure
>
>       3 - Other Failure
>
>       255 - Unknown
>
>    Reset Count:  The number of times that the radio
>       has been reset.
>
>    SW Failure Count:  The number of times that the radio
>       has failed due to software related reasons.
>
>    HW Failure Count:  The number of times that the radio
>        has failed due to hardware related reasons.
>
>    Other Failure Count:  The number of times that the radio
>        has failed due to known reasons, other than SW or HW failure.
>
>    Unknown Failure Count:  The number of times that the radio
>        has failed for unknown reasons.
>
>    Config Update Count:  The number of times that the radio
>        configuration has been updated.
>
>    Channel Change Count:  The number of times that the radio
>        channel has been changed.
>
>    Band Change Count:  The number of times that the radio
>        has changes frequency bands.
>
>    Current Noise Floor: A signed integer which indicates the noise floor
>        of the radio receiver in units of dBm.
> ------------------------------------------------------------
>
> On 5/23/06, Saravanan Govindan < [email-masked]>
> wrote:
> >
> >   The statistics mentioned in Issue 84 is a starting point for
> > discussion on general statistics information to be exchanged between a WTP
> > and AC. I suggest using WTP Event Request as the exchange mechanism, in
> > which case, new message elements can be defined for the chosen stats.
> >
> >
> >
> > Saravanan
> >
> >
> >
> >
> >
> >
> >
> >
> >  ------------------------------
> >
> > *From:* Dorothy Stanley [mailto:[email-masked]]
> > *Sent:* Wednesday, May 24, 2006 2:02 AM
> > *To:* Pat Calhoun (pacalhou)
> > *Cc:* Saravanan Govindan; capwap
> > *Subject:* Re: [Capwap] Statistics for WTP Event Request
> >
> >
> >
> > Issue 84, "Piggybacking statistical information in Echo Request/response
> > is related to this request, listing
> > WTP Load, WTP Transmit Queue, Channel Interference and Congestion as
> > possible statistics. Issue 84 is half resolved - we decided not to use
> > the
> > Echo message as transport for statistics, but the question of additional
> > useful
> > WTP statistics is still open. So, we can use existing issue 84, or close
> > 84 and
> > open a new issue.
> >
> > Dorothy
> >
> > On 5/23/06, *Pat Calhoun (pacalhou)* <[email-masked]> wrote:
> >
> > Once you provide more details, I will create an issue to track this
> > request.
> >
> > Pat Calhoun
> > CTO, Wireless Networking Business Unit
> > Cisco Systems
> >
> >
> >
> > > -----Original Message-----
> > > From: Saravanan Govindan [mailto: [email-masked]]
> > > Sent: Tuesday, May 23, 2006 1:52 AM
> > > To: capwap
> > > Subject: [Capwap] Statistics for WTP Event Request
> > >
> > > All,
> > >
> > > The WTP Event Request (Section 9.5) currently includes
> > > message elements that cover
> > >
> > > - Errors for decryption / addressing
> > > - Technology specific
> > >
> > > I propose including a generic Statistics message element to
> > > be used with WTP Event Request. I am looking for an earlier
> > > note that listed possible metrics to consider. I'll refresh
> > > this post when I find it.
> > >
> > > Saravanan
> > >
> > > _________________________________________________________________
> > > To unsubscribe or modify your subscription options, please visit:
> > > http://lists.frascone.com/mailman/listinfo/capwap
> > >
> > > Archives: http://lists.frascone.com/pipermail/capwap
> > >
> > _________________________________________________________________
> > To unsubscribe or modify your subscription options, please visit:
> > http://lists.frascone.com/mailman/listinfo/capwap
> >
> > Archives: http://lists.frascone.com/pipermail/capwap
> >
> >
> >
>
>
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap